http
POST https://services.leadconnectorhq.com/knowledge-bases/faqs

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesHqDZpF8GH3qvgJTmKCoLaccount ID as string
questionstringYesWhat is the capital of France?faq question as a string
answerstringYesThe capital of France is Paris.faq answer as a string
knowledgeBaseIdstringYes710KoEzy793Fxubft0bcknowledge base ID as string

Responses

201 - FAQ created successfully
  • success (boolean, required): Success status of the operation Example: True

  • faq (object, required): Created FAQ details

json
{
  "success": true
}
400 - Bad Request
  • statusCode (number): Example: 400

  • message (string): Example: Bad Request

json
{
  "statusCode": 400,
  "message": "Bad Request"
}
401 - Unauthorized
  • statusCode (number): Example: 401

  • message (string): Example: Invalid token: access token is invalid

  • error (string): Example: Unauthorized

json
{
  "statusCode": 401,
  "message": "Invalid token: access token is invalid",
  "error": "Unauthorized"
}
422 - Unprocessable Entity
  • statusCode (number): Example: 422

  • message (string[])

  • error (string): Example: Unprocessable Entity

json
{
  "statusCode": 422,
  "message": [
    "Unprocessable Entity"
  ],
  "error": "Unprocessable Entity"
}
500 - Internal Server Error
  • statusCode (number): Example: 500

  • message (string): Example: Internal Server Error

json
{
  "statusCode": 500,
  "message": "Internal Server Error"
}

Example

curl -X POST 'https://services.leadconnectorhq.com/knowledge-bases/faqs' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "HqDZpF8GH3qvgJTmKCoL",
  "question": "What is the capital of France?",
  "answer": "The capital of France is Paris.",
  "knowledgeBaseId": "710KoEzy793Fxubft0bc"
}'

Last updated October 26, 2026

Was this page helpful?